# sodium_crypto_sign_verify_detached

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_sign_verify_detached — Verify signature for the message

### 说明

sodium_crypto_sign_verify_detached(string `$signature`, string `$message`, string `$public_key`): bool

Verify signature for the message

### 参数

`signature`

  The cryptographic signature obtained from sodium_crypto_sign_detached()

`message`

  The message being verified

`public_key`

  Ed25519 public key

### 返回值

成功时返回 `true`， 或者在失败时返回 `false`。

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open